Appearance
money
29 endpoints.
GET /api/v1/money/overview
Get Overview
200 — Successful Response
json
{}POST /api/v1/money/setup
Post Setup
200 — Successful Response
json
{}GET /api/v1/money/settings
Get Settings
200 — Successful Response
json
{}PUT /api/v1/money/settings
Put Settings
Request body
json
{
"properties": {
"payday": {
"anyOf": [
{
"type": "integer",
"maximum": 31,
"minimum": 1
},
{
"type": "null"
}
],
"title": "Payday"
},
"alert_email": {
"anyOf": [
{
"type": "string",
"maxLength": 255
},
{
"type": "null"
}
],
"title": "Alert Email"
},
"email_nudges": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Email Nudges"
},
"debt_extra": {
"anyOf": [
{
"type": "number",
"minimum": 0
},
{
"type": "null"
}
],
"title": "Debt Extra"
},
"debts": {
"anyOf": [
{
"additionalProperties": {
"additionalProperties": true,
"type": "object"
},
"type": "object"
},
{
"type": "null"
}
],
"title": "Debts"
}
},
"type": "object",
"title": "SettingsIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/money/bank-accounts
Post Bank Account
Request body
json
{
"properties": {
"name": {
"type": "string",
"maxLength": 120,
"title": "Name"
},
"bank": {
"type": "string",
"maxLength": 60,
"title": "Bank",
"default": "FNB"
},
"account_no": {
"anyOf": [
{
"type": "string",
"maxLength": 64
},
{
"type": "null"
}
],
"title": "Account No"
},
"kind": {
"type": "string",
"pattern": "^(bank|credit_card)$",
"title": "Kind",
"default": "bank"
}
},
"type": "object",
"required": [
"name"
],
"title": "BankAccountIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/money/bank-accounts/{bank_account_id}/align
Post Align
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
bank_account_id | path | yes | integer |
Request body
json
{
"properties": {
"balance": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Balance"
},
"as_on": {
"anyOf": [
{
"type": "string",
"format": "date"
},
{
"type": "null"
}
],
"title": "As On"
}
},
"type": "object",
"title": "BalanceIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/money/accounts/{account_id}/value
Post Account Value
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
account_id | path | yes | integer |
Request body
json
{
"properties": {
"value": {
"type": "number",
"title": "Value"
},
"as_on": {
"anyOf": [
{
"type": "string",
"format": "date"
},
{
"type": "null"
}
],
"title": "As On"
}
},
"type": "object",
"required": [
"value"
],
"title": "AccountValueIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/money/categories
Get Categories
200 — Successful Response
json
{}GET /api/v1/money/transactions
Get Transactions
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
since | query | no | ||
until | query | no | ||
search | query | no | string | |
uncategorised | query | no | boolean | |
account_id | query | no | ||
limit | query | no | integer |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/money/transactions/{txn_id}/categorise
Post Categorise
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
txn_id | path | yes | integer |
Request body
json
{
"properties": {
"account_id": {
"type": "integer",
"title": "Account Id"
},
"remember": {
"type": "boolean",
"title": "Remember",
"default": true
},
"keyphrase": {
"anyOf": [
{
"type": "string",
"maxLength": 120
},
{
"type": "null"
}
],
"title": "Keyphrase"
}
},
"type": "object",
"required": [
"account_id"
],
"title": "CategoriseIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/money/apply-rules
Post Apply Rules
200 — Successful Response
json
{}POST /api/v1/money/suggest
Post Suggest
200 — Successful Response
json
{}POST /api/v1/money/suggestions/accept
Post Accept
Request body
json
{
"properties": {
"txn_ids": {
"anyOf": [
{
"items": {
"type": "integer"
},
"type": "array"
},
{
"type": "null"
}
],
"title": "Txn Ids"
},
"min_confidence": {
"type": "string",
"pattern": "^(low|medium|high)$",
"title": "Min Confidence",
"default": "medium"
}
},
"type": "object",
"title": "AcceptIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/money/budgets
Get Budgets
200 — Successful Response
json
{}POST /api/v1/money/budgets
Post Budget
Request body
json
{
"properties": {
"account_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Account Id"
},
"amount": {
"anyOf": [
{
"type": "number",
"minimum": 0
},
{
"type": "null"
}
],
"title": "Amount"
},
"rollover": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Rollover"
},
"active": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Active"
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 500
},
{
"type": "null"
}
],
"title": "Notes"
}
},
"type": "object",
"title": "BudgetIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}PUT /api/v1/money/budgets/{budget_id}
Put Budget
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
budget_id | path | yes | integer |
Request body
json
{
"properties": {
"account_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Account Id"
},
"amount": {
"anyOf": [
{
"type": "number",
"minimum": 0
},
{
"type": "null"
}
],
"title": "Amount"
},
"rollover": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Rollover"
},
"active": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Active"
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 500
},
{
"type": "null"
}
],
"title": "Notes"
}
},
"type": "object",
"title": "BudgetIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}DELETE /api/v1/money/budgets/{budget_id}
Delete Budget
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
budget_id | path | yes | integer |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/money/goals
Get Goals
200 — Successful Response
json
{}POST /api/v1/money/goals
Post Goal
Request body
json
{
"properties": {
"name": {
"anyOf": [
{
"type": "string",
"maxLength": 140
},
{
"type": "null"
}
],
"title": "Name"
},
"target_amount": {
"anyOf": [
{
"type": "number",
"minimum": 0
},
{
"type": "null"
}
],
"title": "Target Amount"
},
"target_date": {
"anyOf": [
{
"type": "string",
"format": "date"
},
{
"type": "null"
}
],
"title": "Target Date"
},
"account_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Account Id"
},
"saved_amount": {
"anyOf": [
{
"type": "number",
"minimum": 0
},
{
"type": "null"
}
],
"title": "Saved Amount"
},
"monthly_contribution": {
"anyOf": [
{
"type": "number",
"minimum": 0
},
{
"type": "null"
}
],
"title": "Monthly Contribution"
},
"status": {
"anyOf": [
{
"type": "string",
"pattern": "^(active|achieved|paused)$"
},
{
"type": "null"
}
],
"title": "Status"
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 500
},
{
"type": "null"
}
],
"title": "Notes"
}
},
"type": "object",
"title": "GoalIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}PUT /api/v1/money/goals/{goal_id}
Put Goal
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
goal_id | path | yes | integer |
Request body
json
{
"properties": {
"name": {
"anyOf": [
{
"type": "string",
"maxLength": 140
},
{
"type": "null"
}
],
"title": "Name"
},
"target_amount": {
"anyOf": [
{
"type": "number",
"minimum": 0
},
{
"type": "null"
}
],
"title": "Target Amount"
},
"target_date": {
"anyOf": [
{
"type": "string",
"format": "date"
},
{
"type": "null"
}
],
"title": "Target Date"
},
"account_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Account Id"
},
"saved_amount": {
"anyOf": [
{
"type": "number",
"minimum": 0
},
{
"type": "null"
}
],
"title": "Saved Amount"
},
"monthly_contribution": {
"anyOf": [
{
"type": "number",
"minimum": 0
},
{
"type": "null"
}
],
"title": "Monthly Contribution"
},
"status": {
"anyOf": [
{
"type": "string",
"pattern": "^(active|achieved|paused)$"
},
{
"type": "null"
}
],
"title": "Status"
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 500
},
{
"type": "null"
}
],
"title": "Notes"
}
},
"type": "object",
"title": "GoalIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}DELETE /api/v1/money/goals/{goal_id}
Delete Goal
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
goal_id | path | yes | integer |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/money/recurring
Get Recurring
200 — Successful Response
json
{}PUT /api/v1/money/recurring/{recurring_id}
Put Recurring
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
recurring_id | path | yes | integer |
Request body
json
{
"properties": {
"payee": {
"anyOf": [
{
"type": "string",
"maxLength": 190
},
{
"type": "null"
}
],
"title": "Payee"
},
"kind": {
"anyOf": [
{
"type": "string",
"pattern": "^(debit_order|subscription|income|transfer)$"
},
{
"type": "null"
}
],
"title": "Kind"
},
"status": {
"anyOf": [
{
"type": "string",
"pattern": "^(detected|confirmed|ignored)$"
},
{
"type": "null"
}
],
"title": "Status"
},
"amount": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Amount"
},
"day_of_month": {
"anyOf": [
{
"type": "integer",
"maximum": 31,
"minimum": 1
},
{
"type": "null"
}
],
"title": "Day Of Month"
},
"account_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Account Id"
}
},
"type": "object",
"title": "RecurringIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}DELETE /api/v1/money/recurring/{recurring_id}
Delete Recurring
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
recurring_id | path | yes | integer |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/money/recurring/{recurring_id}/confirm
Post Recurring Confirm
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
recurring_id | path | yes | integer |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/money/detect-recurring
Post Detect
200 — Successful Response
json
{}GET /api/v1/money/debt-plan
Get Debt Plan
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
extra | query | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/money/run-daily
Post Run Daily
The scheduler's morning pass, on demand (without the AI step, which is slow — the Suggest button runs that).
200 — Successful Response
json
{}POST /api/v1/money/nudges/{nudge_id}/read
Post Nudge Read
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
nudge_id | path | yes | integer |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}